<?php
/**
 * Child theme functions file.
 *
 * @package xts
 */

/**
 * Enqueue script and styles for child theme.
 */
function xts_child_enqueue_styles() {
	wp_enqueue_style( 'xts-child-style', get_stylesheet_directory_uri() . '/style.css', array( 'xts-style' ), XTS_VERSION );
}
add_action( 'wp_enqueue_scripts', 'xts_child_enqueue_styles', 200 );

/* غیرفعال سازی لینک های خارجی برای افزایش سرعت سایت در زمان اینترنت ملی */
function rtlTextHasString($text, $string) {
	return strpos($text, $string) !== false;
}


function rtlBlockExternalHostRequests ($false, $parsed_args, $url) {
	$blockedHosts = [
		'elementor.com',
		'github.com',
		'yoast.com',
		'yoa.st',
		'api.wordpress.org',
		'w.org',
		'unyson.io',
		'siteorigin.com',
		'woocommerce.com'
	];

	foreach ( $blockedHosts as $host ) {
		if ( !empty($host) && rtlTextHasString($url, $host) ) {
			return [
				'headers'  => '',
				'body'     => '',
				'response' => '',
				'cookies'  => '',
				'filename' => ''
			];
		}
	}

	return $false;
}
add_filter('pre_http_request', 'rtlBlockExternalHostRequests', 10, 3);


/* غیرفعال سازی Gravatar برای افزایش سرعت سایت در زمان اینترنت ملی */
add_filter('get_avatar', '__return_false');
add_filter('pre_get_avatar', '__return_false');
remove_action('wp_head', 'feed_links_extra', 3);
remove_action('wp_head', 'wp_generator');
